# Source downloads are available from the hgweb instance. Whee!
%global hgchangeset 1421
%global hghash      4b5fc919fd59
# Used for pre/postrelease:
#%global date        20090704
#%global alphatag    %{date}hg%{hgchangeset}

%global lakitu7_rev 174

%global qvmbuildflags BUILD_SERVER=0 BUILD_CLIENT=0 BUILD_GAME_QVM=0 BUILD_GAME_SO=1 CFLAGS+="-ggdb3"
%global tfbuildflags BUILD_GAME_QVM=0 BUILD_GAME_SO=0 USE_CURL_DLOPEN=0 USE_OPENAL_DLOPEN=0 USE_INTERNAL_ZLIB=0 USE_LOCAL_HEADERS=0 USE_VOIP=0 CFLAGS+="-ggdb3"

Name:           tremfusion
Version:        0.99
Release:        6.r3%{?dist}
Summary:        Enhanced modification of the free software first person shooter Tremulous

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.tremfusion.net/
# How to generate Source0:
#   wget http://www.tremfusion.net/hg/tremfusion/archive/%{hghash}.tar.bz2
#   tar xjf %{hghash}.tar.bz2
#   rm -rf tremfusion-%{hghash}/src/tools/lcc # the license of lcc is nonfree
#   tar cj tremfusion-%{hghash} > tremfusion-%{hghash}-nolcc.tar.bz2
Source0:        tremfusion-%{hghash}-nolcc.tar.bz2
Source1:        http://www.tremfusion.net/downloads/z-tremfusion-menu-0.99r3.pk3
# How to generate Source2:
#   svn -r %{lakitu7_rev} export svn://source.mercenariesguild.net/lakitu7-qvm/trunk/
#   rm -rf trunk/src/tools/lcc # the license of lcc is nonfree
#   tar cj trunk > lakitu7-qvm-r%{lakitu7_rev}.tar.bz2
Source2:        lakitu7-qvm-r%{lakitu7_rev}.tar.bz2
Patch0:         tremfusion-lakitu7-qvm-remove-lcc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libcurl-devel ncurses-devel freetype-devel SDL-devel openal-soft-devel libvorbis-devel desktop-file-utils zlib-devel
Requires:       %{name}-common = %{version}-%{release}
Requires:       opengl-games-utils
Requires(post):     desktop-file-utils
Requires(postun):   desktop-file-utils

%description
TremFusion is an enhanced modification of the free software first person
shooter Tremulous. This package allows you to play on Tremulous servers.


%package tty
Summary:        Non-graphical client for TremFusion
Group:          Amusements/Games
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description tty
TremFusion is an enhanced modification of the free software first person
shooter Tremulous. This package contains a non-graphical client which
opens only an ncurses console.


%package common
Summary:        Common files for TremFusion
Group:          Amusements/Games
License:        CC-BY-SA and GPLv2+
Requires:       tremulous-data

%description common
TremFusion is an enhanced modification of the free software first person
shooter Tremulous. This package contains files required by both TremFusion
clients and servers.


%package server
Summary:        The TremFusion dedicated server
Group:          Amusements/Games
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description server
TremFusion is an enhanced modification of the free software first person
shooter Tremulous. This package contains the TremFusion dedicated server.



%prep
%setup -q -c -b 2
cd trunk
%patch0 -p1
patch -p1 -i ../tremfusion-%{hghash}/misc/lakitu7-qvm-svdemo.patch
cd ../tremfusion-%{hghash}
# For OpenGL wrapper -- https://bugzilla.redhat.com/show_bug.cgi?id=509664#c5
sed -ie "s/Exec=tremfusion --quiet/Exec=tremfusion-wrapper --quiet/" misc/%{name}.desktop


%build
cd trunk
make %{?_smp_mflags} %{qvmbuildflags}
cd ../tremfusion-%{hghash}
# Usable VERSION content: "%{version}%{?dist}-%{release}" or "%{version}_R%{hgchangeset}%{?dist}-%{release}" (for pre/postrelease stuff)
make %{?_smp_mflags} %{tfbuildflags} VERSION="%{version}%{?dist}-%{release}"


%install
rm -rf %{buildroot}
cd tremfusion-%{hghash}
make install %{tfbuildflags} BUILDROOT=%{buildroot} INSTALL_PREFIX=%{_prefix}
# For OpenGL wrapper -- https://bugzilla.redhat.com/show_bug.cgi?id=509664#c5
ln -s ./opengl-game-wrapper.sh %{buildroot}%{_bindir}/%{name}-wrapper
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}/tremfusion/base
%{__install} -pm 644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}/%{name}/
%{__mkdir} -p %{buildroot}%{_datadir}/pixmaps
%{__install} -pm 644 misc/tremfusion.png %{buildroot}%{_datadir}/pixmaps/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications misc/%{name}.desktop
cd ../trunk
%{__install} -pm 755 build/release-linux-*/base/game*.so %{buildroot}%{_libdir}/%{name}/
ln -s ../../../../../%{_libdir}/%{name}/$(basename build/release-linux-*/base/game*.so) %{buildroot}%{_datadir}/%{name}/tremfusion/base/


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc tremfusion-%{hghash}/COPYING tremfusion-%{hghash}/GPL tremfusion-%{hghash}/README
%{_bindir}/%{name}
%{_bindir}/%{name}-wrapper
%{_libdir}/%{name}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files tty
%defattr(-,root,root,-)
%doc tremfusion-%{hghash}/COPYING tremfusion-%{hghash}/GPL tremfusion-%{hghash}/README
%{_bindir}/%{name}-tty
%{_libdir}/%{name}/%{name}-tty

%files common
%defattr(-,root,root,-)
%doc tremfusion-%{hghash}/COPYING tremfusion-%{hghash}/GPL tremfusion-%{hghash}/CC tremfusion-%{hghash}/README
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_libdir}/%{name}/game*.so
%{_datadir}/%{name}/%{name}

%files server
%defattr(-,root,root,-)
%doc tremfusion-%{hghash}/COPYING tremfusion-%{hghash}/GPL tremfusion-%{hghash}/README
%{_bindir}/%{name}ded
%{_libdir}/%{name}/%{name}ded



%changelog
* Wed Aug 19 2009 Ian Weller <ian@ianweller.org> 0.99-6.r3
- Change dependency from openal to openal-soft

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99-5.r3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul  5 2009 Ian Weller <ian@ianweller.org> 0.99-4.r3
- Add OpenGL wrapper
- Upstream changed 0.99r3 tag again (hg:1421)
- Switch VERSION buildflag to the release version and add release macro to it

* Sun Jun  5 2009 Ian Weller <ian@ianweller.org> 0.99-3.r3
- Upstream changed 0.99r3 tag

* Sat Jun  4 2009 Ian Weller <ian@ianweller.org> 0.99-2.r3
- Use system version of zlib
- Disable VoIP at upstream's request since it's broken

* Sat Jun  4 2009 Ian Weller <ian@ianweller.org> 0.99-1.r3
- Initial package build
